#
# spec file for package perl-Pod-Weaver
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Pod-Weaver
Version:        4.015
Release:        1.1
%define cpan_name Pod-Weaver
Summary:        Weave Together a Pod Document From an Outline
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Pod-Weaver/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::MVP) >= 2
BuildRequires:  perl(Config::MVP::Assembler)
BuildRequires:  perl(Config::MVP::Assembler::WithBundles)
BuildRequires:  perl(Config::MVP::Reader::Finder)
BuildRequires:  perl(Config::MVP::Reader::INI)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Log::Dispatchouli) >= 1.100710
BuildRequires:  perl(Mixin::Linewise::Readers) >= 0.103
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Pod::Elemental) >= 0.100220
BuildRequires:  perl(Pod::Elemental::Document)
BuildRequires:  perl(Pod::Elemental::Element::Nested)
BuildRequires:  perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires:  perl(Pod::Elemental::Element::Pod5::Ordinary)
BuildRequires:  perl(Pod::Elemental::Element::Pod5::Region)
BuildRequires:  perl(Pod::Elemental::Element::Pod5::Verbatim)
BuildRequires:  perl(Pod::Elemental::Selectors)
BuildRequires:  perl(Pod::Elemental::Transformer::Gatherer)
BuildRequires:  perl(Pod::Elemental::Transformer::Nester)
BuildRequires:  perl(Pod::Elemental::Transformer::Pod5)
BuildRequires:  perl(Pod::Elemental::Types)
BuildRequires:  perl(Software::License::Artistic_1_0)
BuildRequires:  perl(Software::License::Perl_5)
BuildRequires:  perl(String::Flogger) >= 1
BuildRequires:  perl(String::Formatter) >= 0.100680
BuildRequires:  perl(String::RewritePrefix)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Config::MVP) >= 2
Requires:       perl(Config::MVP::Assembler)
Requires:       perl(Config::MVP::Assembler::WithBundles)
Requires:       perl(Config::MVP::Reader::Finder)
Requires:       perl(Config::MVP::Reader::INI)
Requires:       perl(DateTime)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Log::Dispatchouli) >= 1.100710
Requires:       perl(Mixin::Linewise::Readers) >= 0.103
Requires:       perl(Module::Runtime)
Requires:       perl(Moose)
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(Params::Util)
Requires:       perl(Pod::Elemental) >= 0.100220
Requires:       perl(Pod::Elemental::Document)
Requires:       perl(Pod::Elemental::Element::Nested)
Requires:       perl(Pod::Elemental::Element::Pod5::Command)
Requires:       perl(Pod::Elemental::Element::Pod5::Ordinary)
Requires:       perl(Pod::Elemental::Element::Pod5::Region)
Requires:       perl(Pod::Elemental::Element::Pod5::Verbatim)
Requires:       perl(Pod::Elemental::Selectors)
Requires:       perl(Pod::Elemental::Transformer::Gatherer)
Requires:       perl(Pod::Elemental::Transformer::Nester)
Requires:       perl(Pod::Elemental::Transformer::Pod5)
Requires:       perl(Pod::Elemental::Types)
Requires:       perl(String::Flogger) >= 1
Requires:       perl(String::Formatter) >= 0.100680
Requires:       perl(String::RewritePrefix)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
Pod::Weaver is a system for building Pod documents from templates. It
doesn't perform simple text substitution, but instead builds a
Pod::Elemental::Document. Its plugins sketch out a series of sections that
will be produced based on an existing Pod document or other provided
information.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Oct 15 2016 coolo@suse.com
- updated to 4.015
  see /usr/share/doc/packages/perl-Pod-Weaver/Changes
  4.015     2016-10-14 20:48:13-04:00 America/New_York
  - fix bugs introduced in 4.014 that would cause [Bugs] and [Legal]
    to run even when they should've skipped
* Tue Sep 20 2016 coolo@suse.com
- updated to 4.014
  see /usr/share/doc/packages/perl-Pod-Weaver/Changes
  4.014     2016-09-18 22:25:51-04:00 America/New_York
  - make links in [Bugs] use L<> (thanks, David Zurborg!)
  - added debug level logging to the weaver, plugins, and
    section. GitHub #42.  (thanks, Dave Rolsky)
* Thu May  5 2016 coolo@suse.com
- updated to 4.013
  see /usr/share/doc/packages/perl-Pod-Weaver/Changes
  4.013     2016-04-24 23:19:14+01:00 Europe/London
  - use text for PPI, not octet
* Fri May  8 2015 coolo@suse.com
- updated to 4.012
  see /usr/share/doc/packages/perl-Pod-Weaver/Changes
  4.012     2015-05-05 21:01:33-04:00 America/New_York
  - avoid breaking up words when wrapping text in [Bugs]
* Mon Apr 13 2015 coolo@suse.com
- updated to 4.011
  see /usr/share/doc/packages/perl-Pod-Weaver/Changes
  4.011     2015-03-17 07:48:54-04:00 America/New_York
  - add "header" attributes to more sections, to change the =head1
    headert ext (thanks, David Wheeler)
  4.010     2014-12-30 22:02:58-05:00 America/New_York
  - use of Moose::Autobox has been dropped (thanks Karen Etheridge!)
  4.009     2014-12-02 23:00:37-05:00 America/New_York
  - when a Collect-worthy header exists (like =head1 METHODS) use it,
    rather than making a new one *and* leaving the old one around
    (thanks, Christian Walde)
  4.008     2014-11-12 09:37:13-05:00 America/New_York
  - handle UTF-8 data in PODNAME and ABSTRACT (thanks,  Blabos de Blebe)
  - Explain Section::Region naming, nonpod, and flattening
    (thanks, Kent Fredric)
  4.007     2014-10-27 22:21:55-04:00 America/New_York
  - immutabilize ALL THE THINGS!
  4.006     2014-01-07 20:12:37-05:00 America/New_York
  - update tests to pass octets to ->read_string, as is proper
  4.005     2013-12-21 15:01:46-0500 America/New_York
  - updated tests for the new (fixed, consistent) string behavior in
    Mixin::Linewise
  4.004     2013-11-05 21:50:13 America/New_York
  - allow multi-line formats for VERSION plugin (thanks, Alex Peters)
  - ...including the %%T-prefix for lines only included in
    trial releases
  - look for PODNAME more consistently (thanks, Chris Weyl)
  - put license filename in F<> formatting (thanks, Alex Peters)
  4.003     2013-11-02 22:58:43 America/New_York
  - note that [@Default] contains [-SingleEncoding] (thanks, Caleb
    Cushing)
  4.002     2013-11-02 11:37:04 America/New_York
    [ THIS MIGHT BREAK YOUR CODE ]
  - stable release of previous v4 changes
  4.001     2013-10-20 10:50:50 America/New_York (TRIAL RELEASE)
    [ THIS MIGHT BREAK YOUR CODE ]
  - SingleEncoding now accepts found =encodings as long as they match,
    unless the plugin's encoding attribute was set explicitly
  4.000     2013-10-19 17:20:59 America/New_York (TRIAL RELEASE)
    [ THIS MIGHT BREAK YOUR CODE ]
  - the SingleEncoding plugin to force one consistent =encoding
  - ...is now enabled, for UTF-8, in the default configuration
  3.101640  2013-09-17 08:57:41 Asia/Tokyo
  - fix repository links! argh, oops
  3.101639  2013-09-17 08:56:05 Asia/Tokyo
  - documentation fix: mention that =func exists in the default
    configuration (thanks, Joshua Keroes!)
  - removed use of deprecated Class::MOP::load_class (thanks, Karen
    Etheridge)
  3.101638  2012-08-03 20:42:44 America/New_York
  - add more helpful information to the "no document name" error (thanks,
    Leto Labs, LLC!)
  3.101637  2012-06-07 22:18:55 America/New_York
  - add header_command attribute to the Collect section
    (thanks, Christopher J. Madsen)
  3.101636  2012-05-04 21:28:10 America/New_York
  - break the content-generating code in the Version section into its own
    method (thanks, Chris Weyl)
  3.101635  2012-02-07 22:03:26 America/New_York
  - restore the full-document scan for ABSTRACT if not found in a comment
    token (thanks, David Golden)
  3.101634  2011-10-31 22:56:36 America/New_York
  - throw a (helpful?) exception when %%m is used in a version format, but
    no package was found in the file
  - the Legal plugin can now be given the filename in which the dist's
    full license can be found (thanks, APOCAL!)
  3.101633  2011-09-19 15:48:16 America/New_York
  - speed up performance by changing how we use PPI (thanks, Dave Rolsky)
* Mon Apr 13 2015 coolo@suse.com
- updated to 3.101634
  see /usr/share/doc/packages/perl-Pod-Weaver/Changes
  3.101634  2011-10-31 22:56:36 America/New_York
    throw a (helpful?) exception when %%m is used in a version format, but
    no package was found in the file
    the Legal plugin can now be given the filename in which the dist's
    full license can be found (thanks, APOCAL!)
  3.101633  2011-09-19 15:48:16 America/New_York
    speed up performance by changing how we use PPI (thanks, Dave Rolsky)
* Fri Jan 21 2011 coolo@novell.com
- initial package 3.101632
  * created by cpanspec 1.78.03
